*,
*:after,
*:before {
	box-sizing: border-box;
}

body {
	line-height: 1.5;
	min-height: 100vh;
	background-color: #fff;
	font-family: 'PT Sans', sans-serif;
}

#map {
	width: 100%; /* Ширина карты */
	height: 600px; /* Высота карты */
}

.ya_map {
	font-size: 12px;
	color: #454545;
}

.checkbox-group {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	margin-left: auto;
	margin-right: auto;
	max-width: 900px;
	user-select: none;
	& > * {
		margin: .5rem 0.5rem;
	}
	border: 0;
}

.checkbox-group-legend {
	font-size: 0.9rem;
	color: #9c9c9c;
	text-align: center;
	line-height: 0.125;
	margin-bottom: 0.25rem;
	display: none;
}

.checkbox-input {
	// Code to hide the input
	clip: rect(0 0 0 0);
	clip-path: inset(100%);
	height: 1px;
	overflow: hidden;
	position: absolute;
	white-space: nowrap;
	width: 1px;

	&:checked + .checkbox-tile {
		border-color: #900;
		box-shadow: 0 5px 10px rgba(#000, 0.1);
		color: #900;
		&:before {
			transform: scale(1);
			opacity: 1;
			background-color: #900;
			border-color: #900;
		}
		
		.checkbox-label {
			color: #900;
		}
		.checkbox-icon img { 
		   transform: scale(1);
		   opacity: 1;
		}
	}
	
	&:focus + .checkbox-tile {
		border-color: #900;
		box-shadow: 0 5px 10px rgba(#000, 0.1), 0 0 0 4px #b5c9fc;
		&:before {
			transform: scale(1);
			opacity: 1;
		}
	}
}

.checkbox-tile {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	width: 7rem;
	min-height: 7rem;
	border-radius: 0.5rem;
	border: 1px solid #b5bfd9;
	background-color: #fff;
	box-shadow: 0 5px 10px rgba(#000, 0.1);
	transition: 0.15s ease;
	cursor: pointer;
	position: relative;

	&:before {
		content: "";
		position: absolute;
		display: block;
		width: 1.25rem;
		height: 1.25rem;
		border: 2px solid #b5bfd9;
		background-color: #fff;
		border-radius: 50%;
		top: 0.25rem;
		left: 0.25rem;
		opacity: 0;
		transform: scale(0);
		transition: 0.25s ease;
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='192' height='192' fill='%23FFFFFF' viewBox='0 0 256 256'%3E%3Crect width='256' height='256' fill='none'%3E%3C/rect%3E%3Cpolyline points='216 72.005 104 184 48 128.005' fill='none' stroke='%23FFFFFF' stroke-linecap='round' stroke-linejoin='round' stroke-width='32'%3E%3C/polyline%3E%3C/svg%3E");
		background-size: 12px;
		background-repeat: no-repeat;
		background-position: 50% 50%;
	}

	&:hover {
		border-color: #900;
		&:before {
			transform: scale(1);
			opacity: 1;
		}
	}
}

.checkbox-icon img {
	transition: .375s ease;	
	transform: scale(0.9);
	opacity: 0.6;
}

.checkbox-label {
	color: #707070;
	transition: .375s ease;
	text-align: center;
	line-height: 1em;
}
